<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2017 The Android Open Source Project

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->
<resources>
    <!-- =============== -->
    <!-- Main Car Themes -->
    <!-- =============== -->
    <eat-comment />

    <!-- Base style for the Car that will have dark colors for card backgrounds and light color for
         text. The colors will not change for night mode. -->
    <style name="Theme.Car" parent="Theme.AppCompat.Light.DarkActionBar">
        <item name="android:alertDialogTheme">@style/Theme.Car.Dark.Dialog.Alert</item>
        <item name="android:colorAccent">@color/car_accent</item>
        <item name="android:colorForeground">@color/car_body2_light</item>
        <item name="android:borderlessButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="android:buttonStyle">@style/Widget.Car.Button.DarkText</item>
        <item name="android:checkboxStyle">@style/Widget.Car.CheckBox.Light</item>
        <item name="android:colorButtonNormal">@color/car_accent</item>
        <item name="android:colorControlHighlight">@color/car_card_ripple_background_light</item>
        <item name="android:colorControlNormal">@color/car_body2_light</item>
        <item name="android:colorPrimary">@android:color/black</item>
        <item name="android:colorPrimaryDark">@android:color/black</item>
        <item name="android:editTextColor">@color/car_body1_light</item>
        <item name="android:editTextStyle">@style/Widget.Car.EditText</item>
        <item name="android:listChoiceIndicatorMultiple">@drawable/car_checkbox</item>
        <item name="android:listChoiceIndicatorSingle">@drawable/car_radio_button</item>
        <item name="android:listPreferredItemHeightSmall">@dimen/car_double_line_list_item_height</item>
        <item name="android:listPreferredItemPaddingStart">@dimen/car_keyline_1</item>
        <item name="android:listPreferredItemPaddingEnd">@dimen/car_keyline_1</item>
        <item name="android:progressBarStyleHorizontal">@style/Widget.Car.ProgressBar.Horizontal</item>
        <item name="android:progressBackgroundTint">@color/car_seekbar_track_background_dark</item>
        <item name="android:progressTint">?attr/android:colorControlActivated</item>
        <item name="android:secondaryProgressTint">@color/car_seekbar_track_secondary_progress</item>
        <item name="android:selectableItemBackground">@drawable/car_card_ripple_background</item>
        <item name="android:seekBarStyle">@style/Widget.Car.SeekBar.Light</item>
        <item name="android:textColor">@color/car_body1_light</item>
        <item name="android:textColorPrimary">@color/car_display1_light</item>
        <item name="android:textColorHighlight">@color/car_grey_700</item>
        <item name="android:textColorHint">@color/car_body2_light</item>
        <item name="android:spinnerStyle">@style/Widget.Spinner.Car</item>
        <item name="android:spinnerItemStyle">@style/CarSpinnerItem</item>
        <item name="android:spinnerDropDownItemStyle">@style/CarSpinnerItem</item>
        <item name="actionBarItemBackground">@drawable/car_card_ripple_background</item>
        <item name="actionBarSize">@dimen/car_app_bar_height</item>
        <item name="actionButtonStyle">@style/Widget.Car.ActionButton.Light</item>
        <item name="actionMenuTextAppearance">@style/TextAppearance.Car.ActionBar.Menu</item>
        <item name="actionMenuTextColor">?android:attr/colorButtonNormal</item>
        <item name="alertDialogTheme">@style/Theme.Car.Dark.Dialog.Alert</item>
        <item name="alphaJumpPickerBackground">@color/car_card_dark</item>
        <item name="borderlessButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="carDialogTheme">@style/Theme.Car.Dark.Dialog</item>
        <item name="carToolbarStyle">@style/Widget.Car.CarToolbar</item>
        <item name="colorAccent">@color/car_accent</item>
        <item name="colorControlHighlight">@color/car_card_ripple_background_light</item>
        <item name="colorPrimary">@android:color/black</item>
        <item name="colorPrimaryDark">@android:color/black</item>
        <item name="colorSwitchThumbNormal">@color/car_body2_light</item>
        <item name="editTextStyle">@style/Widget.Car.EditText</item>
        <item name="listItemActionDividerColor">@color/car_list_divider_light</item>
        <item name="listItemBackgroundColor">@color/car_card_dark</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body3.Light</item>
        <item name="listItemPrimaryIconTint">@null</item>
        <item name="listItemSupplementalIconTint">@null</item>
        <item name="listItemSubheaderTextAppearance">@style/TextAppearance.Car.Subheader</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1.Light</item>
        <item name="pagedListViewStyle">@style/Widget.Car.List.Light</item>
        <item name="pagedScrollBarViewStyle">@style/Widget.Car.Scrollbar.Light</item>
        <item name="seekBarStyle">@style/Widget.Car.SeekBar.Light</item>
        <item name="switchStyle">@style/Widget.Car.Switch</item>
        <item name="checkboxStyle">@style/Widget.Car.CheckBox.Light</item>
        <item name="toolbarNavigationButtonStyle">@style/Widget.Car.Toolbar.Button.Navigation.Light</item>
        <item name="toolbarStyle">@style/Widget.Car.Toolbar.Light</item>
    </style>

    <!-- Base style for the car that removes the action bar. -->
    <style name="Theme.Car.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <!-- Light theme for the Car. This theme has light colors for card backgrounds and dark
         text. These colors will invert for night. -->
    <style name="Theme.Car.Light.NoActionBar" parent="Theme.Car.NoActionBar">
        <item name="android:alertDialogTheme">@style/Theme.Car.Dialog.Alert</item>
        <item name="android:checkboxStyle">@style/Widget.Car.CheckBox</item>
        <item name="android:colorAccent">@color/car_accent</item>
        <item name="android:colorButtonNormal">@color/car_accent</item>
        <item name="android:colorControlHighlight">@color/car_card_ripple_background</item>
        <item name="android:colorForeground">@color/car_body2</item>
        <item name="android:colorPrimary">@color/car_card</item>
        <item name="android:colorPrimaryDark">@color/car_card</item>
        <item name="android:buttonStyle">@style/Widget.Car.Button</item>
        <item name="android:borderlessButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="android:listChoiceIndicatorMultiple">@drawable/car_checkbox</item>
        <item name="android:listChoiceIndicatorSingle">@drawable/car_radio_button</item>
        <item name="android:listPreferredItemHeightSmall">@dimen/car_double_line_list_item_height</item>
        <item name="android:listPreferredItemPaddingStart">@dimen/car_keyline_1</item>
        <item name="android:listPreferredItemPaddingEnd">@dimen/car_keyline_1</item>
        <item name="android:progressBarStyleHorizontal">@style/Widget.Car.ProgressBar.Horizontal</item>
        <item name="android:progressBackgroundTint">@color/car_seekbar_track_background</item>
        <item name="android:progressTint">?attr/android:colorControlActivated</item>
        <item name="android:secondaryProgressTint">@color/car_seekbar_track_secondary_progress</item>
        <item name="android:selectableItemBackground">@drawable/car_card_ripple_background</item>
        <item name="android:spinnerStyle">@style/Widget.Spinner.Car</item>
        <item name="android:spinnerItemStyle">@style/CarSpinnerItem</item>
        <item name="android:spinnerDropDownItemStyle">@style/CarSpinnerItem</item>
        <item name="android:textColor">@color/car_body1</item>
        <item name="android:textColorPrimary">@color/car_display1</item>
        <item name="android:textColorHighlight">@color/car_grey_700</item>
        <item name="android:textColorHint">@color/car_body2</item>
        <item name="android:editTextStyle">@style/Widget.Car.EditText</item>
        <item name="android:editTextColor">@color/car_body1</item>
        <item name="android:colorControlNormal">@color/car_body2</item>
        <item name="android:seekBarStyle">@style/Widget.Car.SeekBar</item>
        <item name="actionBarItemBackground">@drawable/car_card_ripple_background</item>
        <item name="actionBarSize">@dimen/car_app_bar_height</item>
        <item name="actionButtonStyle">@style/Widget.Car.ActionButton</item>
        <item name="actionMenuTextAppearance">@style/TextAppearance.Car.ActionBar.Menu</item>
        <item name="actionMenuTextColor">?android:attr/colorButtonNormal</item>
        <item name="alertDialogTheme">@style/Theme.Car.Dialog.Alert</item>
        <item name="alphaJumpPickerBackground">@color/car_card</item>
        <item name="borderlessButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="carDialogTheme">@style/Theme.Car.Dialog</item>
        <item name="colorAccent">@color/car_accent</item>
        <item name="colorControlHighlight">@color/car_card_ripple_background</item>
        <item name="colorPrimary">@color/car_card</item>
        <item name="colorPrimaryDark">@color/car_card</item>
        <item name="colorSwitchThumbNormal">@color/car_body2</item>
        <item name="editTextStyle">@style/Widget.Car.EditText</item>
        <item name="listItemActionDividerColor">@color/car_list_divider</item>
        <item name="listItemBackgroundColor">@color/car_card</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body3</item>
        <item name="listItemSubheaderTextAppearance">@style/TextAppearance.Car.Subheader</item>
        <item name="pagedListViewStyle">@style/Widget.Car.List</item>
        <item name="pagedScrollBarViewStyle">@style/Widget.Car.Scrollbar</item>
        <item name="seekBarStyle">@style/Widget.Car.SeekBar</item>
        <item name="switchStyle">@style/Widget.Car.Switch</item>
        <item name="checkboxStyle">@style/Widget.Car.CheckBox</item>
        <item name="toolbarNavigationButtonStyle">@style/Widget.Car.Toolbar.Button.Navigation</item>
        <item name="toolbarStyle">@style/Widget.Car.Toolbar</item>
    </style>

    <!-- Theme that is a pass-through for Theme.Car.NoActionBar. -->
    <style name="Theme.Car.Dark.NoActionBar" parent="Theme.Car.NoActionBar" />

    <!-- A Theme for activities that have a drawer affordance. This theme will be dark-colored. -->
    <style name="Theme.Car.NoActionBar.Drawer">
        <item name="drawerBackButtonId">@id/car_drawer_back_button</item>
        <item name="drawerBackButtonTint">@color/car_tint_light</item>
        <item name="drawerListId">@id/car_drawer_list</item>
        <item name="drawerTitleId">@id/car_drawer_title</item>
        <item name="drawerProgressId">@id/car_drawer_progress</item>
        <item name="drawerNormalLayoutId">@layout/car_drawer_list_item_normal</item>
        <item name="drawerSmallLayoutId">@layout/car_drawer_list_item_small</item>
        <item name="drawerToolbarId">@id/drawer_toolbar</item>
        <item name="drawerArrowStyle">@style/Widget.Car.DrawerArrowToggle</item>
        <item name="drawerBackgroundColor">@color/car_card_dark</item>
        <item name="drawerRippleColor">@color/car_card_ripple_background_light</item>
        <item name="drawerHeaderColor">@color/car_body1_light</item>
        <item name="drawerItemTitleTextAppearance">@style/TextAppearance.Car.Body1.Light</item>
        <item name="drawerItemBodyTextAppearance">@style/TextAppearance.Car.Body2.Light</item>
        <item name="drawerListTheme">@style/Theme.Car.Light.List.DarkItems</item>
    </style>

    <!-- A Theme for activities that have a drawer affordance. This theme will automatically switch
         to darker colors during night mode. -->
    <style name="Theme.Car.Light.NoActionBar.Drawer">
        <item name="drawerArrowStyle">@style/Widget.Car.DrawerArrowToggle</item>
        <item name="drawerBackButtonTint">@color/car_tint</item>
        <item name="drawerBackgroundColor">@color/car_card</item>
        <item name="drawerRippleColor">@color/car_card_ripple_background</item>
        <item name="drawerHeaderColor">@color/car_body1</item>
        <item name="drawerItemTitleTextAppearance">@style/TextAppearance.Car.Body1</item>
        <item name="drawerItemBodyTextAppearance">@style/TextAppearance.Car.Body2</item>
        <item name="drawerListTheme">@style/Theme.Car.List</item>
    </style>

    <!-- A theme that is a pass-through for the base theme. -->
    <style name="Theme.Car.Dark.NoActionBar.Drawer" parent="Theme.Car.NoActionBar.Drawer" />

    <!-- ============= -->
    <!-- Dialog Themes -->
    <!-- ============= -->
    <eat-comment />

    <!-- Base style for dialogs provided by the car support library. -->
    <style name="Theme.Car.Dialog" parent="Theme.AppCompat.Dialog">
        <item name="android:colorButtonNormal">@color/car_accent</item>
        <item name="android:colorControlHighlight">@color/car_card_ripple_background</item>
        <item name="android:windowAnimationStyle">@style/Car.Dialog.Animation</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="colorControlHighlight">@color/car_card_ripple_background</item>
        <item name="dialogButtonStyle">@style/Widget.Car.Dialog.Button</item>
        <item name="dialogBackgroundColor">@color/car_card</item>
        <item name="dialogListTheme">@style/Theme.Car.List</item>
        <item name="dialogTitleStyle">@style/Widget.Car.Dialog.Title</item>
        <item name="dialogBodyStyle">@style/Widget.Car.Dialog.Body</item>
    </style>

    <!-- Styling for dialogs provided by the car support library that is fixed in a dark-color. -->
    <style name="Theme.Car.Dark.Dialog" parent="Theme.Car.Dialog">
        <item name="android:colorButtonNormal">@color/car_accent</item>
        <item name="android:colorControlHighlight">@color/car_card_ripple_background_light</item>
        <item name="colorControlHighlight">@color/car_card_ripple_background_light</item>
        <item name="dialogButtonStyle">@style/Widget.Car.Dialog.Button</item>
        <item name="dialogBackgroundColor">@color/car_card_dark</item>
        <item name="dialogListTheme">@style/Theme.Car.Light.List.DarkItems</item>
        <item name="dialogTitleStyle">@style/Widget.Car.Dialog.Title.Light</item>
        <item name="dialogBodyStyle">@style/Widget.Car.Dialog.Body.Light</item>
    </style>

    <!-- ===================================== -->
    <!-- Framework and AppCompat Dialog Themes -->
    <!-- ===================================== -->

    <!-- Styles for framework and the Appcompat AlertDialog. This style will automatically
         change the background color of the dialog based on the day/night mode. -->
    <style name="Theme.Car.Dialog.Alert" parent="Theme.AppCompat.Dialog.Alert">
        <item name="android:background">@color/car_card</item>
        <item name="android:borderlessButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="android:colorButtonNormal">@color/car_accent</item>
        <item name="android:colorControlNormal">@color/car_body3</item>
        <item name="android:colorControlActivated">@color/car_accent</item>
        <item name="android:listChoiceIndicatorMultiple">@drawable/car_checkbox</item>
        <item name="android:listChoiceIndicatorSingle">@drawable/car_radio_button</item>
        <item name="android:listDividerAlertDialog">@drawable/car_preference_divider</item>
        <item name="android:listPreferredItemHeightSmall">@dimen/car_single_line_list_item_height</item>
        <item name="android:listPreferredItemPaddingStart">@dimen/car_padding_4</item>
        <item name="android:listPreferredItemPaddingEnd">@dimen/car_padding_4</item>
        <item name="android:scrollbarSize">@dimen/car_scroll_bar_thumb_width</item>
        <item name="android:textAppearanceLarge">@style/TextAppearance.Car.Body3</item>
        <item name="android:textColorPrimary">@color/car_body3</item>
        <item name="android:windowAnimationStyle">@style/Car.Dialog.Animation</item>
        <item name="android:windowTitleStyle">@style/Widget.Car.Dialog.Title</item>
        <item name="alertDialogStyle">@style/AlertDialog</item>
        <item name="buttonBarNeutralButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="buttonBarNegativeButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="buttonBarPositiveButtonStyle">@style/Widget.Car.Button.Borderless.Colored</item>
        <item name="listDividerAlertDialog">@drawable/car_preference_divider</item>
    </style>

    <!-- Style for framework and the Appcompat AlertDialog that is fixed to have a light colored
         background. -->
    <style name="Theme.Car.Light.Dialog.Alert" parent="Theme.Car.Dialog.Alert">
        <item name="android:colorButtonNormal">@color/car_accent_dark</item>
        <item name="android:colorControlActivated">@color/car_accent_dark</item>
        <item name="android:background">@color/car_card_light</item>
        <item name="android:textColorPrimary">@color/car_body3_dark</item>
        <item name="android:windowTitleStyle">@style/Widget.Car.Dialog.Title.Dark</item>
    </style>

    <!-- Style for framework and the Appcompat AlertDialog that is fixed to have a dark colored
         background. -->
    <style name="Theme.Car.Dark.Dialog.Alert" parent="Theme.Car.Dialog.Alert">
        <item name="android:colorButtonNormal">@color/car_accent_light</item>
        <item name="android:colorControlActivated">@color/car_accent_light</item>
        <item name="android:background">@color/car_card_dark</item>
        <item name="android:textColorPrimary">@color/car_body3_light</item>
        <item name="android:windowTitleStyle">@style/Widget.Car.Dialog.Title.Light</item>
    </style>

    <!-- Style for the Dialog animations -->
    <style name="Car.Dialog.Animation" parent="@android:style/Animation.Dialog">
        <item name="android:windowEnterAnimation">@anim/car_dialog_enter</item>
        <item name="android:windowExitAnimation">@anim/car_dialog_exit</item>
    </style>

    <!-- =========== -->
    <!-- List Themes -->
    <!-- =========== -->
    <eat-comment />

    <!-- A theme for PagedListViews that will have a dark scrollbars and light-colored items. The
         colors will darken during night mode. -->
    <style name="Theme.Car.List" parent="android:Theme">
        <item name="pagedListViewStyle">@style/Widget.Car.List</item>
        <item name="pagedScrollBarViewStyle">@style/Widget.Car.Scrollbar</item>
        <item name="listItemBackgroundColor">@color/car_card</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body2</item>
    </style>

    <!-- A theme for PagedListViews that will have a light scrollbars and light-colored items. The
         colors will darken during night mode. -->
    <style name="Theme.Car.Light.List" parent="Theme.Car.List">
        <item name="pagedListViewStyle">@style/Widget.Car.List.Light</item>
        <item name="pagedScrollBarViewStyle">@style/Widget.Car.Scrollbar.Light</item>
    </style>

    <!-- A theme for PagedListViews that will have a light scrollbars and dark-colored items. The
         colors do not change for night mode. -->
    <style name="Theme.Car.Light.List.DarkItems">
        <item name="listItemBackgroundColor">@color/car_card_dark</item>
        <item name="listItemTitleTextAppearance">@style/TextAppearance.Car.Body1.Light</item>
        <item name="listItemBodyTextAppearance">@style/TextAppearance.Car.Body2.Light</item>
    </style>

    <!-- ================ -->
    <!-- Preference Theme -->
    <!-- ================ -->
    <eat-comment />

    <!-- Car theme for support library PreferenceFragments -->
    <style name="PreferenceThemeOverlayCar">
        <item name="preferenceScreenStyle">@style/CarPreference.PreferenceScreen</item>
        <item name="preferenceFragmentCompatStyle">@style/CarPreferenceFragment</item>
        <item name="preferenceFragmentStyle">@style/CarPreferenceFragment</item>
        <item name="preferenceCategoryStyle">@style/CarPreference.Category</item>
        <item name="preferenceStyle">@style/CarPreference</item>
        <item name="preferenceInformationStyle">@style/CarPreference.Information</item>
        <item name="checkBoxPreferenceStyle">@style/CarPreference.CheckBoxPreference</item>
        <item name="switchPreferenceCompatStyle">@style/CarPreference.SwitchPreferenceCompat</item>
        <item name="switchPreferenceStyle">@style/CarPreference.SwitchPreference</item>
        <item name="seekBarPreferenceStyle">@style/CarPreference.SeekBarPreference</item>
        <item name="dialogPreferenceStyle">@style/CarPreference.DialogPreference</item>
        <item name="editTextPreferenceStyle">@style/CarPreference.DialogPreference.EditTextPreference</item>
        <item name="dropdownPreferenceStyle">@style/CarPreference.DropDown</item>
        <item name="preferenceFragmentListStyle">@style/CarPreferenceFragmentList</item>
    </style>
</resources>
